<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[Yves___的专栏]]></title><description><![CDATA[eternally advance]]></description><link>https://blog.youkuaiyun.com/Yves___</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; Yves___]]></copyright><item><title><![CDATA[【Codeforces 98E】Help Shrek and Donkey]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51814024</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51814024</guid><author>Yves___</author><pubDate>Sun, 03 Jul 2016 09:46:29 +0800</pubDate><description><![CDATA[题目描述A君有nn张牌，B君有mm张牌，桌上还有一张反扣着的牌，每张牌都不一样。每个回合可以做两件事中的一件
猜测桌上的牌是什么，猜对则胜，猜败则输。
询问对方是否有某张牌，若有则需要将其示出，否则继续游戏。
A和B都很聪明，问A的胜率。n,m<5000n, m<5000分析首先不到最后一刻是不会选择猜桌上的牌的。 
假如某一次对方问了一张自己手上没有的牌，就可能会怀疑桌上的牌就是这张。 
而询问对]]></description><category></category></item><item><title><![CDATA[【NOI 2016模拟6.16】gene]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51700588</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51700588</guid><author>Yves___</author><pubDate>Fri, 17 Jun 2016 15:52:37 +0800</pubDate><description><![CDATA[题目描述你有nn个数{a1,⋯,an}\{ a_1, \cdots, a_n\}，以及mm个数{b1,⋯,bm}\{b_1, \cdots, b_m\}对于任意一个aia_i，你可以任意选择任意多个abiia_i^{b_i}乘起来对pp取模，得到若干个数。 
问所有这样子得到的数的并集大小。n≤104,m≤105,1<p≤109n\leq 10^4, m\leq 10^5, 1<p\leq10^9，]]></description><category></category></item><item><title><![CDATA[【BZOJ 4503】两个串]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51683027</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51683027</guid><author>Yves___</author><pubDate>Wed, 15 Jun 2016 15:59:58 +0800</pubDate><description><![CDATA[题目描述给定两个串A,BA, B，其中BB有的位置可以为通配符，问BB在AA中出现了多少次。n,m≤105n, m\leq 10^5分析假如不存在通配符，那么两字符串匹配的充要条件是∑(si−Si)2=0\sum(s_i-S_i)^2=0将匹配串反转就可以FFT了。那么加入了通配符以后，略作修改就可以了。具体来说是把原式写成Si∑(si−Si)2=0S_i\sum(s_i-S_i)^2=0那么将通配]]></description><category></category></item><item><title><![CDATA[【CF679E】Bear and Bad Powers of 42]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51674382</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51674382</guid><author>Yves___</author><pubDate>Tue, 14 Jun 2016 20:22:41 +0800</pubDate><description><![CDATA[题目描述给定一个长度为nn的序列{an}\{ a_n \}有mm个操作，包括以下三种。
输出aia_i
使[l,r)[l, r)这一段变成vv，这里保证vv不是4242的幂
将[l,r)[l, r)这一段不断加vv使得∀i∈[l,r),k∈N∗,ai≠42k\forall i\in[l, r), k\in N^*, a_i\neq 42^k
n,m≤105n, m\leq 10^5分析假如没有第二种]]></description><category></category></item><item><title><![CDATA[【省选题简易题解合集】]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51570719</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51570719</guid><author>Yves___</author><pubDate>Thu, 02 Jun 2016 22:29:08 +0800</pubDate><description><![CDATA[SDOI 2016探险路线题目所给的限制的路径实际上形状是固定的，根据形状分成三个子问题（在墙角迂回、跳跃、跨过全场洄游）进行DP，再将它们合并起来，就可以做这个题了。齿轮简单地用取模或者分解质因数来计算就可以知道是否合法了。平凡的骰子十分基础的立体几何转平面几何。转换一下坐标系随便算算投影就可以了。硬币游戏经典SG游戏，论文里面提到的经典做法，但是需要依靠一个结论就是这种硬币游戏基本都是全局的SG]]></description><category></category></item><item><title><![CDATA[【集训队作业】COUNTARI]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51440010</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51440010</guid><author>Yves___</author><pubDate>Tue, 17 May 2016 22:26:33 +0800</pubDate><description><![CDATA[题目描述给定一个长度为nn的序列{an}\{a_n\} 
问有多少个三元组(i,j,k)(i, j, k)满足，ai,aj,aka_i, a_j, a_k是等差数列。n≤105,ai≤3×104n\leq 10^5, a_i\leq 3\times 10^4分析考虑分块。 
假如三个数都在当前块中，直接枚举并查找即可，O(nBB2)=O(nB)O(\frac{n}{B}B^2)=O(nB) 
假如只]]></description><category></category></item><item><title><![CDATA[【算法】生僻算法复习]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51284565</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51284565</guid><author>Yves___</author><pubDate>Fri, 29 Apr 2016 22:14:59 +0800</pubDate><description><![CDATA[凸费用：动态增加转移网络流：动态加边最简单的方式就是在对每一条流量减少的边检查是否需要加边。 
需要对费用函数和边集建立起映射。动态规划：动态转移刚做了一道比较经典的题目，满足随着状态的递增，DP值的增量减少。于是就可以当且仅当这个前面所有的状态都被用完以后再加入这个状态，就可以大大减少预处理的复杂度。反正只要证明出来费用满足凸性，就可以考虑一下动态加入。整体二分要考虑二分完答案以后该干些什么，一般]]></description><category></category></item><item><title><![CDATA[【坑】]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51232660</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51232660</guid><author>Yves___</author><pubDate>Sun, 24 Apr 2016 11:26:03 +0800</pubDate><description><![CDATA[图论生成树计数的matrix-tree定理的证明。 
带花树。 
2-SAT。 
平面图理论。 
欧拉回路构造。构造题脑洞与直觉分块儿直觉计算几何圆类计算几何问题 
空间几何问题]]></description><category></category></item><item><title><![CDATA[【GDOI2016 模拟3.20】dierti]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51232223</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51232223</guid><author>Yves___</author><pubDate>Sun, 24 Apr 2016 09:55:17 +0800</pubDate><description><![CDATA[题目描述给定一棵nn个点有根树，每个点要么是黑色，要么是白色。每一次可以选择一个白点，将它到根的路径染黑。无法操作者输，问最终先手胜负。n≤105n\leq 10^5分析设fxf_x为xx子树的SG值。那么枚举子树内的任意一个白点进行转移，分裂开若干棵子树，要求其异或值的mex。求mexmex可以用一个trietrie去维护，求异或可以将自身的SG值打在父亲上，问题转化为树链求异或和。那么我们每一次]]></description><category></category></item><item><title><![CDATA[【GDOI 2016模拟4.23】闷声]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51232028</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51232028</guid><author>Yves___</author><pubDate>Sun, 24 Apr 2016 09:13:41 +0800</pubDate><description><![CDATA[题目描述给定一个长度为nn的字符串，以及mm个要求(l,r,v)(l, r, v)，要求确定t0⋯tn−1t_{0}\cdots t_{n-1}，要求ti∈[i,n]t_i\in [i, n]，以最大化获益。其中受益如下给出：
tit_i选择了jj会获得wi,jw_{i, j}的收益（已给定）。
若对于某个特定的要求，∀k∈[0,n),k+LCP(sufk,sl⋯r)≤ti\forall k\in[]]></description><category></category></item><item><title><![CDATA[【CQOI 2016】不同的最小割]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51231960</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51231960</guid><author>Yves___</author><pubDate>Sun, 24 Apr 2016 08:45:03 +0800</pubDate><description><![CDATA[题目描述给定一个nn个点mm条边的网络流，问两两点对之间不同的最小割数目。n≤850,m≤8500n\leq 850, m\leq 8500分析最小割树。考虑任意取出两个点x,yx, y，求出任意一个最小割，那么与xx集相连的点，以及与yy集相连的点之中，各取一个x′,y′x', y'，其之间的最最小割必定就是xx与yy集之间的最小割。 
证明？首先xx与yy间的最小割，必定是x′,y′x', y']]></description><category></category></item><item><title><![CDATA[【GDOI 2016模拟4.21】位运算]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51216972</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51216972</guid><author>Yves___</author><pubDate>Fri, 22 Apr 2016 08:03:52 +0800</pubDate><description><![CDATA[题目描述一个二进制数RR，一个模板0-1串SS重复kk次的形式给出。 
问从00到R−1R-1中选出nn个数（无序），使得他们异或的结果为00。n≤7,R≤50,k≤105n\leq 7, R\leq 50, k\leq 10^5分析不妨假定选出的nn个数不一定是要无序的，仅仅需要小于RR就好了。 
那么就从高到低地去枚举这nn个数的每一位，并且记录一个2n2^n的状态来记录它是否已经小于RR了。]]></description><category></category></item><item><title><![CDATA[【Bestcoder #79 div1】C]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51169881</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51169881</guid><author>Yves___</author><pubDate>Sat, 16 Apr 2016 20:21:36 +0800</pubDate><description><![CDATA[题目描述定义 
F(x)={10x=k2,k∈N∗otherwise
F(x)=
\begin{cases}
1& x=k^2, k\in N^* \\
0 & otherwise
\end{cases}
问 
∑i=1n∑j=1mF((i,j))\sum_{i=1}^n \sum_{j=1}^m F\Big( (i, j) \Big)n,m≤107n, m\leq 10^7 
TT组询问，T≤10]]></description><category></category></item><item><title><![CDATA[【湖南集训 4.14】C]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51154805</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51154805</guid><author>Yves___</author><pubDate>Thu, 14 Apr 2016 20:40:22 +0800</pubDate><description><![CDATA[题目描述给出一棵nn个点，边权为11的树，节点皆为黑色或白色，随机起点，每一次你会从nn个点中随机一个点xx，从当前点走过去，并且将xx反色。当所有点都为黑或白的时候停止。问期望经过路径的总长。50%:n≤10250\% :n\leq 10^2 
100%:n≤105100\% :n\leq 10^5分析这道题显然是用期望的线性性，但是怎么去拆就会有很大的不同。首先有一个技巧就是一般来说贡献可以写成]]></description><category></category></item><item><title><![CDATA[【湖南集训 4.13】c]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51153953</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51153953</guid><author>Yves___</author><pubDate>Thu, 14 Apr 2016 18:25:02 +0800</pubDate><description><![CDATA[题目描述找到nn维向量x\mathbf x，最小化∑i=0m⎛⎝bi−∑j=0nai,jxj⎞⎠2\sum_{i=0}^m \left (b_i-\sum_{j=0}^na_{i, j}x_j\right )^2n≤103,m≤2×103n\leq 10^3, m\leq 2\times 10^3开O2, 3秒时限。分析多元函数的最值问题。 
这里有一个比较经典的做法，首先求出需要求最值的函数对每一]]></description><category></category></item><item><title><![CDATA[【湖南集训 4.13】b]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51147642</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51147642</guid><author>Yves___</author><pubDate>Wed, 13 Apr 2016 22:44:46 +0800</pubDate><description><![CDATA[题目描述给出一个n×mn\times m的矩阵A\mathbf A，以及一个长度为nn的向量b\mathbf b 
定义ci=∑nj=0Aj,bijmodnc_i=\sum_{j=0}^n A_{j, b_{ij \mod n }}问cic_i中第kk大的值。 
n≤260,000,m≤4n\leq 260, 000, m\leq 4, nn是质数。分析考虑A\mathbf A以及b\mathbf]]></description><category></category></item><item><title><![CDATA[【湖南集训 4.7】sanrd]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51089756</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51089756</guid><author>Yves___</author><pubDate>Thu, 07 Apr 2016 21:43:24 +0800</pubDate><description><![CDATA[题目描述你要猜一个00到nn之间的数，每次你可以问这个数比i+0.5i+0.5大还是小，代价是aia_i。 
问最坏情况下你至少需要多少的代价问出答案。n≤5×105,0<ai≤9n\leq 5\times10^5, 0<a_i\leq9分析这里的权值十分的小，仔细分析一下答案也不会很大（全99也就9logn9logn而已）。 
考虑设f0..1,i,jf_{0..1, i, j}表示用ii的代价，]]></description><category></category></item><item><title><![CDATA[【湖南集训 4.7】yist]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51089079</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51089079</guid><author>Yves___</author><pubDate>Thu, 07 Apr 2016 20:27:38 +0800</pubDate><description><![CDATA[题目描述给出nn个点分别到原点的距离rir_i，问这些点可能的凸包的面积最大值。20%:n=320\% : n=3 
40%:n=440\% : n=4 
n≤8,ri≤103n\leq 8, r_i\leq 10^3分析一定要注意凸包上不一定有所有nn个点！n=3n=3时，给出是一个三角形。 
那么面积最大，当且仅当原点位处三角形的垂心。（证明？调整法） 
n=4n=4时，记得要判定退化成三角形的]]></description><category></category></item><item><title><![CDATA[【湖南集训 4.4】Alphadog]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51059771</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51059771</guid><author>Yves___</author><pubDate>Tue, 05 Apr 2016 00:39:45 +0800</pubDate><description><![CDATA[题目描述给定一个字符串SS，要求对于每个y∈[0,n)y\in [0, n)，求如下的式子∑x≤yLCP(x,y)\sum_{x\leq y} LCP(x, y) 
dan’s 
其中LCP是满足以下条件的串TT的长度
TT是一个回文串
存在i≤xi\leq x，满足Si..x=TS_{ i..x }=T
存在j≤yj\leq y，满足Sj,y=TS_{ j, y }=T
n≤105n\leq 10]]></description><category></category></item><item><title><![CDATA[【湖南集训 4.2】正12面体]]></title><link>https://blog.youkuaiyun.com/Yves___/article/details/51051034</link><guid>https://blog.youkuaiyun.com/Yves___/article/details/51051034</guid><author>Yves___</author><pubDate>Sun, 03 Apr 2016 17:07:26 +0800</pubDate><description><![CDATA[题目描述给定nn种颜色，以及每种颜色的数量限制aia_i。 
问给一个正1212面体的边染色的本质不同方案数有多少。 
假如两个正1212面体不能仅通过空间中的旋转相互得到那么就称为本质不同的方案。 
注：正1212面体有1212个面，2020个顶点，3030条边。n≤30,∑ai=30n\leq 30, \sum a_i=30分析显然把置换群搞出来，套个polyapolya就完了。 
问题是怎么算]]></description><category></category></item></channel></rss>